For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Book a demoLog in
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
  • Processor Endpoints
    • POSTRun Processor
    • GETGet Processor Run
    • GETList Processor Runs
    • POSTCancel Processor Run
    • DELDelete Processor Run
    • GETGet Batch Processor Run
    • GETList Processors
    • POSTCreate Processor
    • POSTUpdate Processor
    • POSTPublish Processor Version
    • GETGet Processor Version
    • GETList Processor Versions
  • Parse Endpoints
    • POSTParse File
    • POSTParse File Async
    • GETGet Parser Run
    • DELDelete Parser Run
  • Workflow Endpoints
    • POSTRun Workflow
    • GETGet Workflow Run
    • GETList Workflow Runs
    • POSTUpdate Workflow Run
    • POSTCancel Workflow Run
    • DELDelete Workflow Run
    • POSTCreate Workflow
    • POSTBatch Run Workflow
    • POSTCorrect Workflow Run Outputs
  • File Endpoints
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • GETList Files
    • POSTCreate File
  • Edit Endpoints
    • POSTEdit File
    • POSTEdit File Async
    • POSTGenerate Edit Schema
    • GETGet Edit Run
    • DELDelete Edit Run
    • GETGet Edit Template
  • Evaluation Set Endpoints
    • GETGet Evaluation Set
    • GETList Evaluation Sets
    • POSTCreate Evaluation Set
    • GETList Evaluation Set Items
    • POSTCreate Evaluation Set Item
    • POSTUpdate Evaluation Set Item
    • DELDelete Evaluation Set Item
    • POSTBulk Create Evaluation Set Items
LogoLogo
Book a demoLog in
Workflow Endpoints

Update Workflow Run

POST
https://api.extend.ai/workflow_runs/:workflowRunId
POST
/workflow_runs/:workflowRunId
$curl -X POST https://api.extend.ai/workflow_runs/workflow_run_id_here \
> -H "x-extend-api-version: 2025-04-21" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "success": true,
3 "workflowRun": {
4 "object": "workflow_run",
5 "id": "workflow_run_xKm9pNv3qWsY_jL2tR5Dh",
6 "name": "myFirstFile.pdf",
7 "url": "https://dashboard.extend.ai/workflows/workflow_Bk9mNp2qWs5_xL8vR4tYh?workflowRunId=workflow_run_Zj3nMx7ZPd9f4c2WQ_kAg",
8 "status": "PENDING",
9 "metadata": {},
10 "files": [
11 {
12 "object": "file",
13 "id": "file_xK9mLPqRtN3vS8wF5hB2cQ",
14 "name": "Invoices.pdf",
15 "metadata": {
16 "pageCount": 30,
17 "parentSplit": {
18 "id": "string",
19 "type": "Invoice",
20 "identifier": "other_2_9",
21 "startPage": 1,
22 "endPage": 10
23 }
24 },
25 "createdAt": "2024-03-21T15:30:00Z",
26 "updatedAt": "2024-03-21T16:45:00Z",
27 "type": "PDF",
28 "presignedUrl": "https://www.w3.org/WAI/ER/tests/xhtml/testfiles/resources/pdf/dummy.pdf",
29 "parentFileId": "file_Zk9mNP12Qw4yTv8BdR3H",
30 "contents": {
31 "rawText": "string",
32 "markdown": "string",
33 "pages": [
34 {
35 "pageNumber": 1,
36 "pageHeight": 10,
37 "pageWidth": 10,
38 "rawText": "This is the raw text of the page.",
39 "markdown": "# Heading\n\nThis is a paragraph with **bold** and *italic* text.\n\n- List item 1\n- List item 2\n\n> This is a blockquote",
40 "html": "<div>This is the html of the page.</div>"
41 }
42 ],
43 "sheets": [
44 {
45 "sheetName": "Sheet1",
46 "rawText": "This is the raw text of the sheet."
47 }
48 ]
49 },
50 "usage": {
51 "credits": 10
52 }
53 }
54 ],
55 "initialRunAt": "2025-04-28T17:01:39.285Z",
56 "reviewed": true,
57 "outputs": [
58 {
59 "object": "document_processor_run",
60 "id": "dpr_Xj8mK2pL9nR4vT7qY5wZ",
61 "processorId": "dp_Xj8mK2pL9nR4vT7qY5wZ",
62 "processorVersionId": "dpv_Xj8mK2pL9nR4vT7qY5wZ",
63 "processorName": "Invoice Processor",
64 "status": "PENDING",
65 "output": {},
66 "reviewed": false,
67 "edited": false,
68 "edits": {},
69 "type": "CLASSIFY",
70 "config": {
71 "type": "CLASSIFY",
72 "baseProcessor": "classification_performance",
73 "baseVersion": "3.2.0",
74 "classifications": [
75 {
76 "id": "my_unique_id",
77 "type": "invoice",
78 "description": "An invoice is a document that lists the items purchased and the total amount due."
79 }
80 ],
81 "classificationRules": "Remember, when it comes to differentiating between invoices and purchase orders, the most important thing to look for is the date of the document.",
82 "advancedOptions": {
83 "context": "default",
84 "advancedMultimodalEnabled": false,
85 "fixedPageLimit": 30,
86 "pageRanges": [
87 {
88 "start": 1,
89 "end": 10
90 },
91 {
92 "start": 20,
93 "end": 30
94 }
95 ]
96 },
97 "parser": {
98 "target": "markdown",
99 "chunkingStrategy": {
100 "type": "page",
101 "options": {
102 "minCharacters": 100,
103 "maxCharacters": 1000
104 }
105 },
106 "engine": "parse_performance",
107 "blockOptions": {
108 "figures": {
109 "enabled": true,
110 "figureImageClippingEnabled": true
111 },
112 "tables": {
113 "enabled": true,
114 "targetFormat": "markdown",
115 "tableHeaderContinuationEnabled": false,
116 "cellBlocksEnabled": false,
117 "agentic": {
118 "enabled": false,
119 "customInstructions": "string"
120 }
121 },
122 "text": {
123 "signatureDetectionEnabled": true,
124 "agentic": {
125 "enabled": false,
126 "customInstructions": "string"
127 }
128 }
129 },
130 "advancedOptions": {
131 "pageRotationEnabled": true,
132 "agenticOcrEnabled": false,
133 "pageRanges": [
134 {
135 "start": 1,
136 "end": 10
137 },
138 {
139 "start": 20,
140 "end": 30
141 }
142 ],
143 "excelParsingMode": "basic",
144 "excelSkipHiddenContent": false,
145 "excelUseRawCellValues": false,
146 "excelSkipCalculation": true,
147 "verticalGroupingThreshold": 1,
148 "returnOcr": {
149 "words": false
150 },
151 "alwaysConvertToPdf": false
152 }
153 }
154 },
155 "files": [
156 {
157 "object": "file",
158 "id": "file_xK9mLPqRtN3vS8wF5hB2cQ",
159 "name": "Invoices.pdf",
160 "metadata": {
161 "pageCount": 30,
162 "parentSplit": {
163 "id": "string",
164 "type": "Invoice",
165 "identifier": "other_2_9",
166 "startPage": 1,
167 "endPage": 10
168 }
169 },
170 "createdAt": "2024-03-21T15:30:00Z",
171 "updatedAt": "2024-03-21T16:45:00Z",
172 "type": "PDF",
173 "presignedUrl": "https://www.w3.org/WAI/ER/tests/xhtml/testfiles/resources/pdf/dummy.pdf",
174 "parentFileId": "file_Zk9mNP12Qw4yTv8BdR3H",
175 "contents": {
176 "rawText": "string",
177 "markdown": "string",
178 "pages": [
179 {
180 "pageNumber": 1,
181 "pageHeight": 10,
182 "pageWidth": 10,
183 "rawText": "This is the raw text of the page.",
184 "markdown": "# Heading\n\nThis is a paragraph with **bold** and *italic* text.\n\n- List item 1\n- List item 2\n\n> This is a blockquote",
185 "html": "<div>This is the html of the page.</div>"
186 }
187 ],
188 "sheets": [
189 {
190 "sheetName": "Sheet1",
191 "rawText": "This is the raw text of the sheet."
192 }
193 ]
194 },
195 "usage": {
196 "credits": 10
197 }
198 }
199 ],
200 "mergedProcessors": [
201 {
202 "processorId": "dp_Xj8mK2pL9nR4vT7qY5wZ",
203 "processorVersionId": "dpv_Xj8mK2pL9nR4vT7qY5wZ",
204 "processorName": "Invoice Line Items Processor"
205 }
206 ],
207 "url": "https://dashboard.extend.ai/runs/dpr_Xj8mK2pL9nR4vT7qY5wZ",
208 "failureReason": "string",
209 "failureMessage": "string",
210 "metadata": {},
211 "initialOutput": {},
212 "reviewedOutput": {},
213 "usage": {
214 "credits": 3.5
215 }
216 }
217 ],
218 "stepRuns": [
219 {
220 "object": "workflow_step_run",
221 "id": "workflow_step_run_xK9mLPqRtN3vS8wF5hB2cQ",
222 "status": "PENDING",
223 "step": {
224 "object": "workflow_step",
225 "id": "step_xK9mLPqRtN3vS8wF5hB2cQ",
226 "name": "Validate Invoice Total",
227 "type": "EXTERNAL_DATA_VALIDATION"
228 },
229 "output": {
230 "rules": [
231 {
232 "name": "string",
233 "valid": true,
234 "validArray": [
235 "string"
236 ],
237 "failureReason": "RULE_FAILED",
238 "error": "string"
239 }
240 ]
241 }
242 }
243 ],
244 "workflow": {
245 "object": "workflow",
246 "id": "workflow_BMlfq_yWM3sT-ZzvCnA3f",
247 "version": "draft",
248 "name": "Invoice Processing"
249 },
250 "batchId": "batch_7Ws31-F5",
251 "failureReason": "string",
252 "failureMessage": "string",
253 "reviewedBy": "jane.doe@example.com",
254 "rejectionNote": "string",
255 "reviewedAt": "2024-03-21T16:45:00Z",
256 "startTime": "2024-03-21T15:30:00Z",
257 "endTime": "2024-03-21T15:35:00Z",
258 "usage": {
259 "credits": 25
260 }
261 }
262}
You can update the name and metadata of an in progress WorkflowRun at any time using this endpoint.
Was this page helpful?
Previous

Cancel Workflow Run

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

workflowRunIdstringRequired

The ID of the WorkflowRun. This ID will start with “workflow_run”. This ID can be found in the API response when creating a Workflow Run, or in the “history” tab of a workflow on the Extend platform.

Example: "workflow_run_8k9m-xyzAB_Pqrst-Nvw4"

Headers

x-extend-api-version"2025-04-21"OptionalDefaults to 2025-04-21
API version to use for the request. If you do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2025-04-21/developers/api-versioning) for more details.
x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2025-04-21/developers/authentication) for details on API key scopes.

Request

This endpoint expects an object.
namestringOptional
An optional name that can be assigned to a specific WorkflowRun
metadatamap from strings to anyOptional
A metadata object that can be assigned to a specific WorkflowRun. If metadata already exists on this WorkflowRun, the newly incoming metadata will be merged with the existing metadata, with the incoming metadata taking field precedence. You can include any arbitrary `key : value` pairs in this object. To categorize workflow runs for billing and usage tracking, include `extend:usage_tags` with an array of string values (e.g., `{"extend:usage_tags": ["production", "team-eng", "customer-123"]}`). Tags must contain only alphanumeric characters, hyphens, and underscores; any special characters will be automatically removed.

Response

Successfully updated workflow run
successboolean
workflowRunobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error

API version to use for the request. If you do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.

A metadata object that can be assigned to a specific WorkflowRun. If metadata already exists on this WorkflowRun, the newly incoming metadata will be merged with the existing metadata, with the incoming metadata taking field precedence.

You can include any arbitrary key : value pairs in this object.

To categorize workflow runs for billing and usage tracking, include extend:usage_tags with an array of string values (e.g., {"extend:usage_tags": ["production", "team-eng", "customer-123"]}). Tags must contain only alphanumeric characters, hyphens, and underscores; any special characters will be automatically removed.